#
# spec file for package libcsplit
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcsplit
%define lname	libcsplit1
%define timestamp 20150101
Version:        0~%timestamp
Release:        5.1
Summary:        Library for cross-platform C split string functions
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/libyal/libcsplit/wiki
Source:         https://github.com/libyal/libcsplit/releases/download/%timestamp/%{name}-alpha-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20130904
BuildRequires:  pkgconfig(libcstring) >= 20150101
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for cross-platform C split string functions.

This package is part of the libyal library collection and is used by other libraries in the collection

%package -n %lname
Summary:        Library for cross-platform C split string functions
Group:          System/Libraries

%description -n %lname
Library for cross-platform C split string functions.

Part of the libyal family of libraries.

Also see:

    libcdata; generic data functions
    libcdatetime; date and time functions
    libcerror; error functions
    libclocale; locale functions
    libcnotify; notification functions
    libcfile; file functions
    libcpath; path functions
    libcthreads; threads functions 

%package devel
Summary:        Development files for libcsplit, a cross-platform C split string library
Group:          Development/Libraries/C and C++
Requires:       %lname = %{version}

%description devel
A library for cross-platform C split string functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcsplit.

%prep
%setup -qn libcsplit-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
%make_install
rm -f "%{buildroot}/%{_libdir}"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libcsplit.so.1*

%files devel
%defattr(-,root,root)
%{_includedir}/libcsplit*
%{_libdir}/libcsplit.so
%{_libdir}/pkgconfig/libcsplit.pc
%{_mandir}/man3/libcsplit.3*

%changelog
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to v0~20140105
  * updated dependencies
  * 2014 update
- remove libcsplit-pkgconfig.diff - it was an extraneous file
* Wed Oct  2 2013 Greg.Freemyer@gmail.com
- update to v0~20130904
  * code cleanup
* Sat Jul 27 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * Fix in .pc.in file
  * small changes
  * removed unused LIBCSPLIT_SEPARATOR
  * textual changes
  * updated dependencies
  * fix for Libs in .pc file
  * 2013 update
- remove pkgconfig patch, now upstream
- changed to gz compression to eliminate conversion after download
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- run spec-cleaner
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121224) for build.opensuse.org
